var Core =
{
	start: function(runnable)
	{
		Event.observe(window, "load", runnable.init.bindAsEventListener(window));
	}
};

var FormFocus =
{
	init: function()
	{
		var inputs = $$('.formFocus');
                if(inputs && inputs[0]) {
                  inputs[0].focus();
                }
	}
};

/*
	Standards Compliant Rollover Script
	Author : Daniel Nolan
	http://www.bleedingego.co.uk/webdev.php
*/

var InitRollovers =
{
  init: function()
  {
	if (!document.getElementById) return
	
	var aPreLoad = new Array();
	var sTempSrc;
	var aImages = $$('.imgover');

	for (var i = 0; i < aImages.length; i++) {		
			var src = aImages[i].getAttribute('src');
			var ftype = src.substring(src.lastIndexOf('.'), src.length);
			var hsrc = src.replace(ftype, '_o'+ftype);

			aImages[i].setAttribute('hsrc', hsrc);
			
			aPreLoad[i] = new Image();
			aPreLoad[i].src = hsrc;
			
			aImages[i].onmouseover = function() {
				sTempSrc = this.getAttribute('src');
				this.setAttribute('src', this.getAttribute('hsrc'));
			}	
			
			aImages[i].onmouseout = function() {
				if (!sTempSrc) sTempSrc = this.getAttribute('src').replace('_o'+ftype, ftype);
				this.setAttribute('src', sTempSrc);
			}
		}
	}
};

var DynamicTextInput =
{
	init: function()
	{
		var dynInputs = $$(".dynInput");
		
		for (i = 0; i < dynInputs.length; i++)
		{
			dynInputs[i].onfocus = DynamicTextInput.focusListener;
			dynInputs[i].onblur = DynamicTextInput.blurListener;
		}
	},
	
	focusListener: function(event)
	{
		DynamicTextInput.clearText(this);
	},
	
	blurListener: function(event)
	{
		DynamicTextInput.returnText(this);
	},

	clearText: function(thefield)
	{
		if (thefield.defaultValue==thefield.value)
		thefield.value = ""
		thefield.style.color = "#000";
	},

	returnText: function(thefield)
	{
		if (thefield.value=="") {
      thefield.value = thefield.defaultValue;
      thefield.style.color = "#7e7e7e";
    }
	}
};

Core.start(FormFocus);
Core.start(InitRollovers);
Core.start(DynamicTextInput);
